org.eclipse.draw2d

## Class LabeledContainer

- java.lang.Object
- - org.eclipse.draw2d.Figure
  - - org.eclipse.draw2d.LabeledContainer

All Implemented Interfaces:
  IFigure

    public class LabeledContainer
    extends Figure

A Container with a title bar describing the contents of the container. The frame is generated by a `LabeledBorder`.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.draw2d.Figure

`Figure.FigureIterator, Figure.IdentitySearch`

### Nested classes/interfaces inherited from interface org.eclipse.draw2d.IFigure

`IFigure.NoInsets`

### Field Summary

### Fields inherited from class org.eclipse.draw2d.Figure

`bgColor, border, bounds, fgColor, flags, font, MAX_FLAG, maxSize, minSize, NO_MANAGER, prefSize, toolTip`

### Fields inherited from interface org.eclipse.draw2d.IFigure

`MAX_DIMENSION, MIN_DIMENSION, NO_INSETS`

### Constructor Summary

Constructors
Constructor and Description
`LabeledContainer()` Constructs a default container with a `GroupBoxBorder`.
`LabeledContainer(Border border)` Constructs a labeled container with the border given as input.

### Method Summary

Methods
`java.lang.String` `getLabel()` Returns the text of the LabeledContainer's label.
`protected LabeledBorder` `getLabeledBorder()` Returns the LabeledBorder of this container.
`void` `setLabel(java.lang.String s)` Sets the title of the container.
`void` `setLabelFont(Font f)` Sets the font to be used for the container title.

### Methods inherited from class org.eclipse.draw2d.Figure

`add, add, add, add, addAncestorListener, addCoordinateListener, addFigureListener, addFocusListener, addKeyListener, addLayoutListener, addListener, addMouseListener, addMouseMotionListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, containsPoint, containsPoint, erase, findDescendantAtExcluding, findFigureAt, findFigureAt, findFigureAt, findFigureAtExcluding, findMouseEventTargetAt, findMouseEventTargetInDescendantsAt, fireCoordinateSystemChanged, fireFigureMoved, fireMoved, firePropertyChange, firePropertyChange, firePropertyChange, getBackgroundColor, getBorder, getBounds, getChildren, getClientArea, getClientArea, getClippingStrategy, getCursor, getFlag, getFont, getForegroundColor, getInsets, getLayoutManager, getListeners, getLocalBackgroundColor, getLocalFont, getLocalForegroundColor, getLocation, getMaximumSize, getMinimumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getSize, getToolTip, getUpdateManager, handleFocusGained, handleFocusLost, handleKeyPressed, handleKeyReleased, handleMouseDoubleClicked, handleMouseDragged, handleMouseEntered, handleMouseExited, handleMouseHover, handleMouseMoved, handleMousePressed, handleMouseReleased, hasFocus, internalGetEventDispatcher, intersects, invalidate, invalidateTree, isCoordinateSystem, isEnabled, isFocusTraversable, isMirrored, isMouseEventTarget, isOpaque, isRequestFocusEnabled, isShowing, isValid, isValidationRoot, isVisible, layout, paint, paintBorder, paintChildren, paintClientArea, paintFigure, primTranslate, remove, removeAll, removeAncestorListener, removeCoordinateListener, removeFigureListener, removeFocusListener, removeKeyListener, removeLayoutListener, removeListener, removeMouseListener, removeMouseMotionListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, revalidate, setBackgroundColor, setBorder, setBounds, setChildrenDirection, setChildrenEnabled, setChildrenOrientation, setClippingStrategy, setConstraint, setCursor, setEnabled, setFlag, setFocusTraversable, setFont, setForegroundColor, setLayoutManager, setLocation, setMaximumSize, setMinimumSize, setOpaque, setParent, setPreferredSize, setPreferredSize, setRequestFocusEnabled, setSize, setSize, setToolTip, setValid, setVisible, translate, translateFromParent, translateToAbsolute, translateToParent, translateToRelative, useLocalCoordinates, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LabeledContainer

    public LabeledContainer()

Constructs a default container with a `GroupBoxBorder`.

Since:
  2.0

#### LabeledContainer

    public LabeledContainer(Border border)

Constructs a labeled container with the border given as input.

Parameters:
  `border` - the border
Since:
  2.0

### Method Detail

#### getLabel

    public java.lang.String getLabel()

Returns the text of the LabeledContainer's label.

Returns:
  the label text
Since:
  2.0

#### getLabeledBorder

    protected LabeledBorder getLabeledBorder()

Returns the LabeledBorder of this container.

Returns:
  the border
Since:
  2.0

#### setLabel

    public void setLabel(java.lang.String s)

Sets the title of the container.

Parameters:
  `s` - the new title text
Since:
  2.0

#### setLabelFont

    public void setLabelFont(Font f)

Sets the font to be used for the container title.

Parameters:
  `f` - the new font
Since:
  2.0